### File

`packages/core/src/lib/helpers/css-utils.ts`

### Index

###### Properties

- Static Readonly activateBreadcrumbCssVars
- Static Readonly activateEditModeCssVars
- Static Readonly activateFooterCssVars
- Static Readonly activateHeaderCssVars
- Static Readonly activateSidebarCssVars
- Static Readonly activateSidebarFooterCssVars
- Static Readonly activateSidebarHeaderCssVars
- Static Readonly activateSideContainerCssVars
- Static Readonly activateToolbarCssVars
- Static Readonly activateToolbarMegaMenuCssVars
- Static Readonly activateTopMessageCssVars
- Static Readonly deactivateSideContainerCssVars
- Static Readonly getBreakpointValues
- Static Readonly getCssVarValue
- Static Readonly initCssVars
- Static Readonly removeSidebarCssVars
- Static Readonly setCssVar
- Static Readonly setCssVarValue
- Static Readonly setHeaderShrinkCssVar
- Static Readonly setHtmlClass
- Static Readonly setSideContainerWidth

###### Methods

- Static setAppViewportCssVars

### Properties

Static Readonly activateBreadcrumbCssVars
Type : `unknown`
Default value : `() => {...}`

Static Readonly activateEditModeCssVars
Type : `unknown`
Default value : `() => {...}`

Static Readonly activateFooterCssVars
Type : `unknown`
Default value : `() => {...}`

Static Readonly activateHeaderCssVars
Type : `unknown`
Default value : `() => {...}`

Static Readonly activateSidebarCssVars
Type : `unknown`
Default value : `() => {...}`

Static Readonly activateSidebarFooterCssVars
Type : `unknown`
Default value : `() => {...}`

Static Readonly activateSidebarHeaderCssVars
Type : `unknown`
Default value : `() => {...}`

Static Readonly activateSideContainerCssVars
Type : `unknown`
Default value : `() => {...}`

Static Readonly activateToolbarCssVars
Type : `unknown`
Default value : `() => {...}`

Static Readonly activateToolbarMegaMenuCssVars
Type : `unknown`
Default value : `() => {...}`

Static Readonly activateTopMessageCssVars
Type : `unknown`
Default value : `() => {...}`

Static Readonly deactivateSideContainerCssVars
Type : `unknown`
Default value : `() => {...}`

Static Readonly getBreakpointValues
Type : `unknown`
Default value : `() => {...}`

Static Readonly getCssVarValue
Type : `unknown`
Default value : `() => {...}`
Get the value of a CSS variable. Using getComputedStyle to get the value of the CSS variable (Browser Specific API)

Parameters :

Name
inputProperty
document
platform

Static Readonly initCssVars
Type : `unknown`
Default value : `() => {...}`

Static Readonly removeSidebarCssVars
Type : `unknown`
Default value : `() => {...}`

Static Readonly setCssVar
Type : `unknown`
Default value : `() => {...}`

Static Readonly setCssVarValue
Type : `unknown`
Default value : `() => {...}`

Static Readonly setHeaderShrinkCssVar
Type : `unknown`
Default value : `() => {...}`

Static Readonly setHtmlClass
Type : `unknown`
Default value : `() => {...}`

Static Readonly setSideContainerWidth
Type : `unknown`
Default value : `() => {...}`

### Methods

Static setAppViewportCssVars
`setAppViewportCssVars(platform: unknown)`

Gets the viewport height and width and multiply it by 1% to get a value for a vh/vw unit Sets the value in the --eui-app-vh custom property to the root of the document Sets the value in the --eui-app-vw custom property to the root of the document Example for 100% height: calc(var(--eui-app-vh, 1vh) * 100); Example for 50% height: calc(var(--eui-app-vh, 1vh) * 50); Example for 50% width: calc(var(--eui-app-vw, 1vw) * 50);

Parameters :

Name | Type | Optional
platform | `unknown` | No

Returns : `void`

# results matching ""

# No results matching ""